Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596136 - more than a single instance of the rhsmcertd service can run
Summary: more than a single instance of the rhsmcertd service can run
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Jeff Ortel
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 11:51 UTC by James Bowes
Modified: 2013-01-10 10:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:37:05 UTC
Target Upstream Version:


Attachments (Terms of Use)
Proposed patch to use the lock file in /var/lock/subsys (deleted)
2010-06-24 11:40 UTC, James Bowes
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description James Bowes 2010-05-26 11:51:09 UTC
To reproduce:
 * install subscription-manager
 * note the rhsmcertd process is running
 * run 'service rhsmcertd start'
 * now there are two rhsmcertd processes.
 * update subscription-manager
 * now you have three

Comment 2 RHEL Product and Program Management 2010-06-07 16:07:32 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 5 James Bowes 2010-06-24 11:40:54 UTC
Created attachment 426538 [details]
Proposed patch to use the lock file in /var/lock/subsys

Comment 6 Bryan Kearney 2010-09-20 17:30:58 UTC
fixed as part of b7e7b0fd55d66426e8de7b213242228689e044d2

Comment 7 Jeff Weiss 2010-10-06 17:20:32 UTC
I tested upgrade and this:

[root@jweiss-rhel6-1 src]# service rhsmcertd start
rhsmcertd is already running

Appears to be fixed- 243c44544ccb2ecdaf8963500b36ce81a5aa5dd6

Comment 8 errata-xmlrpc 2011-05-19 13:37:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.